# 5. API Reference | UFMODAsset

This documentation is preliminary and is subject to change.

Base asset used for creating FMOD object assets in UE4.

This class inherits from UObject

Properties:

- UFMODAsset::AssetGuid The unique Guid, which matches the one exported from FMOD Studio.
- UFMODAsset::bShowAsAsset Whether to show in the content window.
- UFMODAsset::FileName In memory asset name, created at load time.

Methods:

- UFMODAsset::IsAsset Event triggered when the timeline crosses the notify marker.
- UFMODAsset::GetAssetRegistryTags Get tags to show in content view.

## UFMODAsset::AssetGuid

The unique Guid, which matches the one exported from FMOD Studio.

C++

    FGuid AssetGuid;

## UFMODAsset::bShowAsAsset

Whether to show in the content window.

C++

    bool bShowAsAsset;

## UFMODAsset::FileName

In memory asset name, created at load time.

C++

    FString FileName;

## UFMODAsset::GetAssetRegistryTags

Get tags to show in content view.

C++

    virtual void GetAssetRegistryTags(TArray<FAssetRegistryTag> &OutTags) const override

OutTags

## UFMODAsset::IsAsset

Event triggered when the timeline crosses the notify marker.

C++

    virtual bool IsAsset() const override

Returns UFMODAsset::bShowAsAsset.